ctype_graph
ctype_print
Ctype Functions
PHP Manual

# ctype_lower

(PHP 4 >= 4.0.4, PHP 5)

ctype_lower — Check for lowercase character(s)

### Description

bool ctype_lower ( string `$text` )

Checks if all of the characters in the provided string, `text` , are lowercase letters.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` is a lowercase letter in the current locale.

### Examples

Example #1 A ctype_lower() example (using the default locale)

`<?php
$strings = array('aac123', 'qiutoas', 'QASsdks');
foreach ($strings as $testcase) {
if (ctype_lower($testcase)) {
echo "The string $testcase consists of all lowercase letters.\n";
} else {
echo "The string $testcase does not consist of all lowercase letters.\n";
}
}
?>`

The above example will output:

    The string aac123 does not consist of all lowercase letters.
    The string qiutoas consists of all lowercase letters.
    The string QASsdks does not consist of all lowercase letters.

### See Also

- ctype_alpha()
- ctype_upper()
- setlocale()

ctype_graph
ctype_print
Ctype Functions
PHP Manual